/***************************************************************************
 *                                                                         *
 *  Filename : TeXPrt_globals.h                                            *
 *                                                                         *
 *  Description : Contains all global data for TeXPrt.                     *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 *                         Modification History                            *
 *                                                                         *
 *   Date       Author       Comments                                      *
 * ----------------------------------------------------------------------  *
 * 25.10.92   R.Bdi       Created.                                        *
 * 21.2.94    R.Bdi       Changed due to modifications in TeXPrt.h.       *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 * Copyright  19xx Richard Bdi,  All rights reserved.                    *
 *                                                                         *
 ***************************************************************************/

/*--------------------------- DEFINES -------------------------------------*/

#define  VERSION        " V3.00 "

/*------------------------- EXTERNAL DATA ---------------------------------*/

extern long   __OSlibversion = 37;

extern struct DOSBase         *DOSBase;
extern struct IntuitionBase   *IntuitionBase;
extern struct GadToolsBase    *GadToolsBase;
extern struct AslBase         *AslBase;
extern struct WorkbenchBase   *WorkbenchBase;
extern struct Library         *MUIMasterBase;
extern struct Library         *UtilityBase;
extern struct Library         *IconBase;
extern struct MsgPort         *AppMsgPort;

extern char  AppName[];
extern char  Version[];
extern char  Title[];
extern char  DriverDrawer[];
extern char  DriverLogo[];
extern char  TeXPrintEnv[];
extern char  RexxPrintMacro[];
extern ULONG IDCMPFlag;

extern struct MUI_Command     ARexxCommandList[];
extern struct StructPointers  StructPointers;
extern struct Args            Args;
extern struct Status          Status;

extern struct EasyStruct   ConfirmReq, AboutReq, AppIconReq, LoadErrorReq,
                           SaveErrorReq, NoDVIFileReq, QuitReq;

/*---------------------------- END OF FILE --------------------------------*/

