/***************************************************************************
 *                                                                         *
 *  Filename : TeXPrt_protos.h                                             *
 *                                                                         *
 *  Description : Contains all function prototypes fro TeXPrt.             *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 *                         Modification History                            *
 *                                                                         *
 *  Date      Author       Comments                                        *
 * ----------------------------------------------------------------------  *
 * 23.10.92   R.Bdi       Created.                                        *
 * 21.2.94    R.Bdi       Changed due to modifications in TeXPrt.h.       *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 * Copyright  1992 Richard Bdi,  All rights reserved.                    *
 *                                                                         *
 ***************************************************************************/

/*--------------------- FUNCTION PROTOTYPES -------------------------------*/

/* TeXPrt.c */
int               OpenLibs (void);
void              Cleanup (void);
void              CallPrinterDriver (struct StructPointers *, BOOL);

/* ParseArgs.c */
void              ParseWB (struct WBStartup *);
void              ParseShell (int, char **);

/* BuildGUI.c */
void __saveds __asm AppMsgFunc (register __a2 APTR, register __a1 struct AppMessage **);
BOOL              BuildMUIApp (struct MUIPointers *, struct NewMenu *);
struct NewMenu   *BuildMenuStructure (struct AvailDrivers *, USHORT *);
BOOL              BuildAppIcon (struct MsgPort **, struct DiskObject **, struct AppIcon **, char *);

/* IO.c */
short             ScanDrivers (struct AvailDrivers *);
USHORT            LoadDriverSpec (struct StructPointers *, USHORT);
BOOL              SaveDriverSpec (char *, struct TeXDriver *, struct RawSettings *,
                                  struct DefaultSettings *, struct MUIPointers *);

/* Process.c */
void              ProcessIDCMP (struct StructPointers *, long);
void              UpdateGUI (struct MUIPointers *, struct DefaultSettings *, struct ParsedSettings *);

/* strings.c */
char             *repchrstr (char *, char, char);

/*---------------- END OF FUNCTION PROTOTYPES ----------------------------*/
